<div *ngIf="secondaryLanguagelabels">
  <div class="wrapper">
    <div class="user">
      <header>{{ 'demographic.title' | translate }}</header>
      <hr />
      <div [dir]="textDir" class="user__container">
        <form [formGroup]="userForm" class="user__form">
          <h4>{{ 'demographic.language' | translate }}</h4>

          <!-- <div style="width:95%"> -->
          <mat-form-field>
            <input
              [matKeyboard]="keyboardLang"
              matInput
              #fullName
              #keyboardRef
              placeholder="{{ 'demographic.label_name' | translate }}"
              [formControlName]="formControlNames.fullName"
              (focusout)="onTransliteration(fullName, formControlNames.fullNameSecondary)"
              (change)="onTransliteration(fullName, formControlNames.fullNameSecondary)"
            />
            <mat-error *ngIf="!fullName.invalid">
              {{ 'demographic.validation.name_required' | translate }}
            </mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.fullName, 0)">keyboard</mat-icon> -->
          <!-- </div> -->

          <div class="user__age-or-date">
            <div class="user__date">
              <mat-form-field>
                <input
                  matInput
                  placeholder="{{ 'demographic.date_dd' | translate }}"
                  #dd
                  [formControlName]="formControlNames.date"
                  (focusout)="onDOBChange()"
                />
              </mat-form-field>
              <mat-form-field>
                <input
                  matInput
                  placeholder="{{ 'demographic.date_mm' | translate }}"
                  #mm
                  [formControlName]="formControlNames.month"
                  (focusout)="onDOBChange()"
                />
              </mat-form-field>
              <mat-form-field>
                <input
                  matInput
                  placeholder="{{ 'demographic.date_yyyy' | translate }}"
                  #yyyy
                  [formControlName]="formControlNames.year"
                  (focusout)="onDOBChange()"
                />
              </mat-form-field>
            </div>

            <div class="user__pref">
              OR
            </div>
            <div class="user__age">
              <mat-form-field>
                <input
                  matInput
                  tabindex="-1"
                  [formControlName]="formControlNames.age"
                  placeholder="{{ 'demographic.label_age' | translate }}"
                  #age
                  (focusout)="onAgeChange()"
                />
              </mat-form-field>
              <div class="user__age--years">{{ 'demographic.text_years' | translate }}</div>
            </div>
          </div>
          <div
            class="mat-error ng-star-inserted user__dob__error"
            *ngIf="
              (userForm.get(formControlNames.dateOfBirth).touched &&
                userForm.get(formControlNames.dateOfBirth).hasError('incorrect')) ||
              (userForm.get(formControlNames.age).touched && !userForm.get(formControlNames.age).valid)
            "
          >
            {{ 'demographic.validation.DOB_validation' | translate }}
          </div>

          <div class="user__genderAndForeigner">
            <span class="user__genderAndForeigner--text">{{ 'demographic.text_gender' | translate }}</span>
            <mat-button-toggle-group
              [formControlName]="formControlNames.gender"
              (change)="onEntityChange([primaryGender, secondaryGender], $event)"
              appearance="legacy"
              name="fontStyle"
              aria-label="Font Style"
            >
              <mat-button-toggle *ngFor="let gender of primaryGender" [value]="gender.code">{{
                gender.genderName
              }}</mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div
            class="mat-error ng-star-inserted user__gender__error"
            *ngIf="userForm.get(formControlNames.gender).touched && userForm.get(formControlNames.gender).invalid"
          >
            {{ 'demographic.validation.gender_validation' | translate }}
          </div>

          <div class="user__genderAndForeigner">
            <span class="user__genderAndForeigner--text">{{ 'demographic.text_residence_status' | translate }}</span>
            <mat-button-toggle-group
              [formControlName]="formControlNames.residenceStatus"
              (change)="onEntityChange([primaryResidenceStatus, secondaryResidenceStatus], $event)"
              appearance="legacy"
              name="fontStyle"
              aria-label="Font Style"
            >
              <mat-button-toggle value="NFR"> {{ 'demographic.button_national' | translate }} </mat-button-toggle>
              <mat-button-toggle value="FR">
                {{ 'demographic.button_foreigner' | translate }}
              </mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div
            class="mat-error ng-star-inserted user__gender__error"
            *ngIf="
              userForm.get(formControlNames.residenceStatus).touched &&
              userForm.get(formControlNames.residenceStatus).invalid
            "
          >
            {{ 'demographic.validation.nationality_validation' | translate }}
          </div>

          <mat-form-field>
            <input
              [matKeyboard]="keyboardLang"
              matInput
              #addressLine1
              #keyboardRef
              placeholder="{{ 'demographic.label_address1' | translate }}"
              [formControlName]="formControlNames.addressLine1"
              (focusout)="onTransliteration(addressLine1, formControlNames.addressLine1Secondary)"
              (change)="onTransliteration(addressLine1, formControlNames.addressLine1Secondary)"
            />
            <mat-error *ngIf="!addressLine1.invalid">{{
              'demographic.validation.address_required' | translate
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine1, 1)">keyboard</mat-icon> -->
          <mat-form-field>
            <input
              matInput
              [matKeyboard]="keyboardLang"
              #addressLine2
              #keyboardRef
              placeholder="{{ 'demographic.label_address2' | translate }}"
              [formControlName]="formControlNames.addressLine2"
              (focusout)="onTransliteration(addressLine2, formControlNames.addressLine2Secondary)"
              (change)="onTransliteration(addressLine2, formControlNames.addressLine2Secondary)"
            />
            <mat-error *ngIf="!addressLine2.invalid">{{
              'demographic.validation.address_required' | translate
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine2, 2)">keyboard</mat-icon> -->
          <mat-form-field>
            <input
              [matKeyboard]="keyboardLang"
              matInput
              #addressLine3
              #keyboardRef
              placeholder="{{ 'demographic.label_address3' | translate }}"
              [formControlName]="formControlNames.addressLine3"
              (focusout)="onTransliteration(addressLine3, formControlNames.addressLine3Secondary)"
              (change)="onTransliteration(addressLine3, formControlNames.addressLine3Secondary)"
            />
            <mat-error *ngIf="!addressLine3.invalid">{{
              'demographic.validation.address_required' | translate
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine3, 3)">keyboard</mat-icon> -->

          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                (selectionChange)="onLocationSelect($event, provinces, regions, formControlNames.province)"
                placeholder="{{ 'demographic.label_region' | translate }}"
                [formControlName]="formControlNames.region"
                #region
              >
                <mat-option *ngFor="let region of regions_in_primary_lang" [value]="region.valueCode">{{
                  region.valueName
                }}</mat-option>
              </mat-select>
              <mat-error *ngIf="!region.invalid">{{ 'demographic.validation.region_required' | translate }}</mat-error>
            </mat-form-field>
          </div>

          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                (selectionChange)="onLocationSelect($event, cities, provinces, formControlNames.city)"
                placeholder="{{ 'demographic.label_province' | translate }}"
                [formControlName]="formControlNames.province"
                #province
              >
                <mat-option *ngFor="let province of provinces_in_primary_lang" [value]="province.valueCode">{{
                  province.valueName
                }}</mat-option>
              </mat-select>
              <mat-error *ngIf="!province.invalid">{{
                'demographic.validation.province_required' | translate
              }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                (selectionChange)="
                  onLocationSelect(
                    $event,
                    localAdministrativeAuthorities,
                    cities,
                    formControlNames.localAdministrativeAuthority
                  )
                "
                placeholder="{{ 'demographic.label_city' | translate }}"
                [formControlName]="formControlNames.city"
                #city
              >
                <mat-option *ngFor="let city of cities_in_primary_lang" [value]="city.valueCode">{{
                  city.valueName
                }}</mat-option>
              </mat-select>
              <mat-error *ngIf="!city.invalid">{{ 'demographic.validation.city_required' | translate }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                (selectionChange)="onLocationSelect($event, null, localAdministrativeAuthorities)"
                placeholder="{{ 'demographic.label_local_administrative_authority' | translate }}"
                [formControlName]="formControlNames.localAdministrativeAuthority"
                #authority
              >
                <mat-option
                  *ngFor="let localAdministrativeAuthoritie of localAdministrativeAuthorities_in_primary_lang"
                  [value]="localAdministrativeAuthoritie.valueCode"
                  >{{ localAdministrativeAuthoritie.valueName }}</mat-option
                >
              </mat-select>
              <mat-error *ngIf="!authority.invalid">{{
                'demographic.validation.admin_required' | translate
              }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                matInput
                type="text"
                #postalCode
                maxlength="{{ POSTALCODE_LENGTH }}"
                placeholder="{{ 'demographic.label_postalCode' | translate }}"
                [formControlName]="formControlNames.postalCode"
                #postalCode
              />
              <mat-error *ngIf="!postalCode.invalid">{{
                'demographic.validation.postal_code_required' | translate
              }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                matInput
                #mobileNumber
                type="text"
                maxlength="{{ MOBILE_LENGTH }}"
                placeholder="{{ 'demographic.label_mob_num' | translate }}"
                [formControlName]="formControlNames.phone"
              />
              <mat-error *ngIf="!mobileNumber.invalid">{{
                'demographic.validation.mobile_required' | translate
              }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                #email
                maxlength="{{ EMAIL_LENGTH }}"
                matInput
                placeholder="{{ 'demographic.label_email_id' | translate }}"
                [formControlName]="formControlNames.email"
              />
              <mat-error *ngIf="!email.invalid">{{ 'demographic.validation.email_required' | translate }}</mat-error>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                #pin
                maxlength="{{ CNIE_LENGTH }}"
                matInput
                type="text"
                placeholder="{{ 'demographic.label_pin' | translate }}"
                [formControlName]="formControlNames.CNIENumber"
              />
              <mat-error *ngIf="!pin.invalid">{{ 'demographic.validation.pin_required' | translate }}</mat-error>
            </mat-form-field>
          </div>
        </form>
      </div>
      <div [dir]="secTextDir" class="user__container">
        <form [formGroup]="transUserForm" class="user__form">
          <h4>{{ secondaryLanguagelabels.language }}</h4>
          <mat-form-field>
            <input
              [matKeyboard]="keyboardSecondaryLang"
              matInput
              [placeholder]="secondaryLanguagelabels.label_name"
              [formControlName]="formControlNames.fullNameSecondary"
              name="t_fullName"
              #t_fullName
              #keyboardRef
            />
            <mat-error *ngIf="!t_fullName.invalid">{{ secondaryLanguagelabels.validation.name_required }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.fullNameSecondary, 4)">keyboard</mat-icon> -->

          <div class="user__age-or-date">
            <div class="user__date">
              <mat-form-field>
                <input
                  readonly
                  [value]="userForm.get(formControlNames.date).value"
                  matInput
                  [placeholder]="secondaryLanguagelabels.date_dd"
                />
              </mat-form-field>
              <mat-form-field>
                <input
                  readonly
                  [value]="userForm.get(formControlNames.month).value"
                  matInput
                  [placeholder]="secondaryLanguagelabels.date_mm"
                />
              </mat-form-field>
              <mat-form-field>
                <input
                  readonly
                  [value]="userForm.get(formControlNames.year).value"
                  matInput
                  [placeholder]="secondaryLanguagelabels.date_yyyy"
                />
              </mat-form-field>
            </div>

            <div class="user__pref">
              OR
            </div>
            <div class="user__age">
              <mat-form-field>
                <input
                  readonly
                  [value]="userForm.get(formControlNames.age).value"
                  matInput
                  [placeholder]="secondaryLanguagelabels.label_age"
                />
              </mat-form-field>
              <div class="user__age--years user__age--disabled">{{ secondaryLanguagelabels.text_years }}</div>
            </div>
          </div>
          <div
            class="mat-error ng-star-inserted user__dob__error"
            *ngIf="
              userForm.get(formControlNames.dateOfBirth).touched &&
              userForm.get(formControlNames.dateOfBirth).hasError('incorrect')
            "
          >
            <br />
          </div>
          <div class="user__genderAndForeigner">
            <span class="user__genderAndForeigner--text">{{ secondaryLanguagelabels.text_gender }}</span>
            <mat-button-toggle-group
              appearance="legacy"
              [disabled]="true"
              aria-label="Font Style"
              [value]="userForm.get(formControlNames.gender).value"
            >
              <mat-button-toggle *ngFor="let gender of secondaryGender" [value]="gender.code">{{
                gender.genderName
              }}</mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div
            class="mat-error ng-star-inserted user__gender__error"
            *ngIf="userForm.get(formControlNames.gender).touched && userForm.get(formControlNames.gender).invalid"
          >
            <br />
          </div>

          <div class="user__genderAndForeigner">
            <span class="user__genderAndForeigner--text">{{ secondaryLanguagelabels.text_residence_status }}</span>
            <mat-button-toggle-group
              [disabled]="true"
              [value]="userForm.get(formControlNames.residenceStatus).value"
              appearance="legacy"
              name="fontStyle"
              aria-label="Font Style"
            >
              <mat-button-toggle value="NFR"> {{ secondaryLanguagelabels.button_national }} </mat-button-toggle>
              <mat-button-toggle value="FR"> {{ secondaryLanguagelabels.button_foreigner }} </mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div
            class="mat-error ng-star-inserted user__gender__error"
            *ngIf="
              userForm.get(formControlNames.residenceStatus).touched &&
              userForm.get(formControlNames.residenceStatus).invalid
            "
          >
            <br />
          </div>

          <mat-form-field>
            <input
              [matKeyboard]="keyboardSecondaryLang"
              matInput
              #t_addressLine1
              #keyboardRef
              name="t_addressLine1"
              [placeholder]="secondaryLanguagelabels.label_address1"
              [formControlName]="formControlNames.addressLine1Secondary"
            />
            <mat-error *ngIf="!addressLine1.invalid">{{
              secondaryLanguagelabels.validation.address_required
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine1Secondary, 5)">keyboard</mat-icon> -->
          <mat-form-field>
            <input
              [matKeyboard]="keyboardSecondaryLang"
              [formControlName]="formControlNames.addressLine2Secondary"
              matInput
              #t_addressLine2
              #keyboardRef
              name="t_addressLine2"
              [placeholder]="secondaryLanguagelabels.label_address2"
            />
            <mat-error *ngIf="!addressLine1.invalid">{{
              secondaryLanguagelabels.validation.address_required
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine2Secondary, 6)">keyboard</mat-icon> -->
          <mat-form-field>
            <input
              [matKeyboard]="keyboardSecondaryLang"
              [formControlName]="formControlNames.addressLine3Secondary"
              name="t_addressLine3"
              matInput
              #t_addressLine3
              #keyboardRef
              [placeholder]="secondaryLanguagelabels.label_address3"
            />
            <mat-error *ngIf="!addressLine1.invalid">{{
              secondaryLanguagelabels.validation.address_required
            }}</mat-error>
          </mat-form-field>
          <!-- <mat-icon (click)="onKeyboardDisplay(formControlNames.addressLine3Secondary, 7)">keyboard</mat-icon> -->

          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                required
                name="t_region"
                [value]="userForm.get(formControlNames.region).value"
                [disabled]="true"
                [placeholder]="secondaryLanguagelabels.label_region"
              >
                <mat-option *ngFor="let region of regions_in_secondary_lang" [value]="region.valueCode">{{
                  region.valueName
                }}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                [disabled]="true"
                [placeholder]="secondaryLanguagelabels.label_province"
                [value]="userForm.get(formControlNames.province).value"
                name="t_province"
              >
                <mat-option *ngFor="let province of provinces_in_secondary_lang" [value]="province.valueCode">{{
                  province.valueName
                }}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                [disabled]="true"
                [placeholder]="secondaryLanguagelabels.label_city"
                [value]="userForm.get(formControlNames.city).value"
                name="t_city"
              >
                <mat-option *ngFor="let city of cities_in_secondary_lang" [value]="city.valueCode">{{
                  city.valueName
                }}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <mat-select
                [disabled]="true"
                [placeholder]="secondaryLanguagelabels.label_local_administrative_authority"
                [value]="userForm.get(formControlNames.localAdministrativeAuthority).value"
                name="t_localAdministrativeAuthority"
              >
                <mat-option
                  *ngFor="let LAA of localAdministrativeAuthorities_in_secondary_lang"
                  [value]="LAA.valueCode"
                  >{{ LAA.valueName }}</mat-option
                >
              </mat-select>
            </mat-form-field>
          </div>

          <div class="user__dropdown">
            <mat-form-field>
              <input
                readonly
                matInput
                [value]="userForm.get(formControlNames.postalCode).value"
                type="text"
                [placeholder]="secondaryLanguagelabels.label_postalCode"
              />
            </mat-form-field>
          </div>

          <div class="user__dropdown">
            <mat-form-field>
              <input
                readonly
                matInput
                type="text"
                [placeholder]="secondaryLanguagelabels.label_mob_num"
                [value]="userForm.get(formControlNames.phone).value"
              />
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                matInput
                readonly
                [placeholder]="secondaryLanguagelabels.label_email_id"
                [value]="userForm.get(formControlNames.email).value"
              />
            </mat-form-field>
          </div>
          <div class="user__dropdown">
            <mat-form-field>
              <input
                readonly
                matInput
                type="text"
                [placeholder]="secondaryLanguagelabels.label_pin"
                [value]="userForm.get(formControlNames.CNIENumber).value"
              />
            </mat-form-field>
          </div>
        </form>
      </div>
    </div>
  </div>
  <div class="user__buttons">
    <button
      class="user__btn"
      type="button"
      (click)="onBack()"
      [disabled]="isNewApplicant || this.message['modifyUserFromPreview'] === 'true'"
    >
      {{ 'demographic.action_back' | translate }}
    </button>
    <button
      *ngIf="!showPreviewButton"
      class="user__btn"
      type="button"
      [disabled]="!dataUploadComplete"
      (click)="onSubmit()"
    >
      {{ 'demographic.action_continue' | translate }}
    </button>
    <button
      *ngIf="showPreviewButton"
      class="user__btn"
      type="button"
      [disabled]="!dataUploadComplete"
      (click)="onSubmit()"
    >
      {{ 'demographic.action_preview' | translate }}
    </button>
  </div>
</div>
